Imagick::paintTransparentImage
Imagick::pingImageBlob
Imagick
PHP Manual

# Imagick::pingImage

Fetch basic attributes about the image

### Description

bool Imagick::pingImage ( string `$filename` )

This method can be used to query image width, height, size, and format without reading the whole image in to memory.

### Parameters

`filename`

  The filename to read the information from.

### Return Values

Returns `TRUE` on success.